;;;
;;; ILTVERMETAS:  Metaclass for version control system
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1992-1996 by ILOG
;;; $Header: /nfs/talk/work/talk/contrib/src/RCS/iltvermetas.t,v 3.10 1996/01/13 12:03:54 v16admin Exp $
;;; ----------------------------------------------------------------------
;;;

(.defclass .<vcs-class> (<structure-class>)
  ;; Instances represent classes of version control systems.
  ((.prototype default: ()
	       keyword: prototype:
	       accessor: .vcs-class-prototype)
   (.name default: ()
	  keyword: .name:
	  accessor: .vcs-class-name)))

(.defclass .<vcs-generic-function> (<generic-function>)
  ;; Version control system operations are of this class.
  ()
  metaclass: <function-class>)
  
