;;;
;;; PROGNRUN: main program which evaluates a list of Talk forms
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1992-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(trap-error (res errorp t)
  (progn
    (initialize-talk silentp: t no-init-file-p: t)
    (let ((forms (system.configuration-flag ())))
      (for ((form in: (if (listp forms) forms (list forms))))
	(let ((exp (sread form)))
	  (prin-string "? ")
	  (print exp)
	  (prin-string "= ")
	  (print (eval exp))))))
  (ignore res)
  (if errorp (exit 1) (exit 0)))
