;;; ----------------------------------------------------------------------
;;;
;;; TTTLPLAYS: Learning player structures
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1994-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(defstructure .<lplayer> .<player>
  ((.memory (make-pattern-table))	; key is #(state which move);
					; result is wins-losses.
   (.moves ())				; list of #(state which move)
   (.other-moves ())			; list of #(state which move)
					; for the opponent.
   (.which ())				; the char being played (#\x
					; or #\o)
   ))

