;;; ----------------------------------------------------------------------
;;;
;;; TTTMGRS: Tic Tac Toe manager structures
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1994-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

;;; The board looks like:
;;;
;;;   0 | 1 | 2
;;;  ---+---+---
;;;   3 | 4 | 5
;;;  ---+---+---
;;;   6 | 7 | 8
;;;
;;; It's represented by a string:
;;;   "012345678"
;;; Each char is one of:
;;;   . unoccupied
;;;   x occupied by x
;;;   o occupied by o

(defstructure .<game> ()
  ((.x-player ())
   (.o-player ())
   (.current-player ())
   (.other-player ())
   (.winner ())
   (.state (make-string 9 #\.))))


