;;; ----------------------------------------------------------------------
;;;
;;; TTTSVRINITE: Server executable initialization module
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1994-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(defun .start-server-exec ()
  (let ((port (system.configuration-flag "port")))
    (when port
      (setf port (sread port))
      (assert (intp port)))
    (while t
      (trap-error (result error t)
	(start-ttt-server (or port .ttt-port) .ttt-host)
	(ignore result error)))))

(.start-server-exec)

