;;;
;;; ILTRUNE: main loop prototype for the auto-image world
;;;
;;; ----------------------------------------------------------------------
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1993-1996 by ILOG
;;; ILOG grants you the right to copy and modify the present file.
;;;
;;; $Header: /nfs/talk/work/talk/src/RCS/iltrune.t,v 1.44 1996/06/05 22:32:40 v16admin Exp $
;;; ----------------------------------------------------------------------
;;;

(let ((silentp         (system.configuration-flag "silent"))
      (no-init-file-p  (system.configuration-flag "no-init-file"))
      (init-file       (system.configuration-flag "init-file"))
      (prompt          (or (system.configuration-flag "prompt") "? "))
      (result-prompt   (or (system.configuration-flag "result-prompt") "= "))
      (welcome-message (system.configuration-flag "welcome-message"))
      (debugp          (system.configuration-flag "debug"))
      (form-input-mode-p (system.configuration-flag "form-input-mode")))
  (when debugp
    (debug t))
  (initialize-talk handle-signals-p: t
		   silentp: silentp
		   no-init-file-p: no-init-file-p
                   init-file: init-file
		   welcome-message: welcome-message
		   form-input-mode-p: form-input-mode-p)
  (if silentp
      (eval-loop "" "" () silentp)
    (eval-loop prompt result-prompt () silentp)))
