;;; ----------------------------------------------------------------------
;;;
;;; ILTCPLIBTYPM: Basic types for the C++ library
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1995-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(define-cpp-type char* internal.char* cpp-type-dcl: "char *%s")
(define-cpp-pointer-type signed-char* "signed char *")
(define-cpp-pointer-type unsigned-char* "unsigned char *")
(define-cpp-pointer-type short* "short *")
(define-cpp-pointer-type unsigned-short* "unsigned short *")
(define-cpp-pointer-type int* "int *")
(define-cpp-pointer-type unsigned* "unsigned *")
(define-cpp-pointer-type long* "long *")
(define-cpp-pointer-type unsigned-long* "unsigned long *")
(define-cpp-pointer-type float* "float *")
(define-cpp-pointer-type double* "double *")
(define-cpp-type void* internal.void* cpp-type-dcl: "void *%s")
(define-cpp-pointer-type char** "char **")
(define-cpp-pointer-type void** "void **")

(define-cpp-reference-type char& "char &")
(define-cpp-reference-type signed-char& "signed char &")
(define-cpp-reference-type unsigned-char& "unsigned char &")
(define-cpp-reference-type short& "short &")
(define-cpp-reference-type unsigned-short& "unsigned short &")
(define-cpp-reference-type int& "int &")
(define-cpp-reference-type unsigned& "unsigned &")
(define-cpp-reference-type long& "long &")
(define-cpp-reference-type unsigned-long& "unsigned long &")
(define-cpp-reference-type float& "float &")
(define-cpp-reference-type double& "double &")

