;;; ----------------------------------------------------------------------
;;;
;;; TTTHPLAYS: Human player structure
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1994-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(defstructure .<hplayer> .<player>
  ((.opponent-name ())			; a string
   (.side ())				; either "x" or "o"
   (.other-side ())			; either "x" or "o"
   (.dialog ())
   (.host (or (system.configuration-flag "host") .ttt-host))
   (.port (or (system.configuration-flag "port") .ttt-port))
   (.state 'free)			; one of:
					; { free, waiting, playing }
   ))
