;;; ----------------------------------------------------------------------
;;;
;;; TTTPLAYS: Player structures
;;;
;;; ----------------------------------------------------------------------
;;;
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1994-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(defstructure .<player> ()
  ((.name (or (system.configuration-flag "player")
	      (getenv "LOGNAME")))
   ))

(defstructure .<random-player> .<player>
  ;; This guy just plays randomly.
  ())

(defstructure .<server-player> .<player>
  ;; This guy has a socket which is used to communicate with a client
  ;; player.  He does nothing himself.
  ((.socket ())
   (.name ())))

(defstructure .<exit-condition> <condition>
  ;; signaled when the game is over.
  ())
