;;; ----------------------------------------------------------------------
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1993-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

;; Group buffers
;; -------------
;;

(defun tm:group-buffer-map-specific ()
  (define-key tm:group-buffer-map [button1] 'tmg:mouse-select))

(defun tmg:mouse-select (event)
  (interactive "@e")
  (mouse-set-point event)
  (tmg:select-item))

(defun tmg:group-buffer-specific ()
  ())

(add-hook 'kill-buffer-hook 'tmg:kill-buffer-hook)

(defun tmg:kill-buffer-hook ()
  (if tml:buffer-group
      (progn
	(tm:group-delete-hook tml:buffer-group)
	(tm:group-pre-delete tml:buffer-group))))


(provide 'talk-groups19)
