;;; ----------------------------------------------------------------------
;;; This file is part of ILOG Talk.
;;; Inquiries to ILOG S.A.
;;;              9 rue de Verdun, BP 85,
;;;              94253 Gentilly Cedex, France.
;;;
;;; Copyright (c) 1993-1996 by ILOG
;;; ----------------------------------------------------------------------
;;;

(load-library "lmenu")
(if (and emacs19p gnu-emacs-p) (require 'lucid))

(fset 'make-extent (symbol-function 'make-overlay))
(fset 'extent-end-position (symbol-function 'overlay-end))
(fset 'extent-buffer (symbol-function 'overlay-buffer))
(fset 'delete-extent (symbol-function 'delete-overlay))
(fset 'redraw-mode-line (symbol-function 'force-mode-line-update))
(fset 'set-extent-endpoints 'move-overlay)
(fset 'window-screen 'window-frame)
(fset 'raise-screen 'raise-frame)
(fset 'x-color-display-p 'x-display-color-p)

(defun set-extent-face (extent face)
  (overlay-put extent 'face face))
   
(defun extent-properties (extent)
  ())

(defun set-extent-begin-glyph (extent glyph)
  ())

(defun make-pixmap (path)
  ())

(defun extent-start-position (overlay)
  (or (overlay-start overlay) 0))

(defun set-extent-attribute (extent attribute)
  (overlay-put extent attribute t))

(setq current-menubar '(()))

(provide 'talk-lcompat)
